Summary:	Qt IBus library and Qt input method plugin
Summary(pl.UTF-8):	Biblioteka Qt IBus oraz wtyczka metody wprowadzania znaków dla Qt
Name:		ibus-qt
Version:	1.3.4
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/ibus/ibus-qt/releases
Source0:	https://github.com/ibus/ibus-qt/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	95f37743551bbc40b027d5b16e9ca83a
URL:		https://github.com/ibus/ibus-qt
BuildRequires:	QtCore-devel >= 4.5
BuildRequires:	QtDBus-devel >= 4.5
BuildRequires:	QtGui-devel >= 4.5
BuildRequires:	QtXml-devel >= 4.5
BuildRequires:	cmake >= 2.4
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	doxygen >= 1.6
BuildRequires:	ibus-devel >= 1.3.9
BuildRequires:	libicu-devel >= 4.0
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= 4.5
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRequires:	xorg-lib-libX11-devel
Requires:	ibus-libs >= 1.3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt IBus library and Qt input method plugin.

%description -l pl.UTF-8
Biblioteka Qt IBus oraz wtyczka metody wprowadzania znaków dla Qt.

%package devel
Summary:	Development files for IBus Qt library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki IBus Qt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= 4.5
Requires:	QtDBus-devel >= 4.5
Requires:	QtXml-devel >= 4.5

%description devel
The ibus-qt-devel package contains the header files for IBus Qt
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla biblioteki IBus Qt.

%prep
%setup -q

%build
%cmake \
	-DLIBDIR=%{_libdir}

%{__make}

%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libibus-qt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libibus-qt.so.1
%attr(755,root,root) %{_libdir}/qt4/plugins/inputmethods/libqtim-ibus.so

%files devel
%defattr(644,root,root,755)
%doc docs/html/*
%attr(755,root,root) %{_libdir}/libibus-qt.so
%{_includedir}/ibus-qt
%changelog
* Mon Nov 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-qt.git;a=log;h=master

* Mon Nov 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 549c7ae
- updated to 1.3.4

* Sun Jul 02 2023 Jan Palus <atler@pld-linux.org> 3f4efba
- icu rebuild

* Sat Feb 18 2023 Jan Palus <atler@pld-linux.org> 2b282e3
- icu rebuild

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> 0e7e23a
- icu rebuild

* Tue Jan 18 2022 Jan Palus <atler@pld-linux.org> f052002
- icu rebuild

* Wed Aug 18 2021 Jan Rękorajski <baggins@pld-linux.org> faeac4f
- Release 10 (by relup.sh)

* Sat Jul 04 2020 Jan Palus <atler@pld-linux.org> 6ec56e2
- icu 67 rebuild
- release 9 (by relup.sh)

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> b0378a1
- rebuild with boost 1.71 and icu 65.1
- release 8 (by relup.sh)

* Fri Apr 19 2019 Jakub Bogusz <qboosh@pld-linux.org> eb82438
- release 7 (rebuild with icu 64)

* Tue Apr 25 2017 Jan Rękorajski <baggins@pld-linux.org> d154a60
- release 6 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 6d095b5
- rebuild with icu 58.2
- release 5 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 70597b8
- icu 57.1 rebuild
- release 4 (by relup.sh)

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 67f00f1
- updated download URL

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 48efb00
- release 3 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 891ee11
- icu rebuild
- release 2 (by relup.sh)

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 25b8512
- new URLs, updated to 1.3.3

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fb7f1f
- release 5 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 3e89e94
- release 4 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d342388
- release 3 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 968fc1e
- rel 2

